net.minecraft.world.chunk

## Class EmptyChunk

- java.lang.Object
- - net.minecraft.world.chunk.Chunk
  - - net.minecraft.world.chunk.EmptyChunk

-     public class EmptyChunk
      extends Chunk

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.chunk.Chunk

      `chunkTileEntityMap, entityLists, field_150815_m, hasEntities, heightMap, heightMapMinimum, inhabitedTime, isChunkLoaded, isLightPopulated, isLit, isModified, isTerrainPopulated, lastSaveTime, precipitationHeightMap, sendUpdates, updateSkylightColumns, worldObj, xPosition, zPosition`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyChunk(World par1World, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntity(Entity par1Entity)`
    `void` | `addTileEntity(TileEntity p_150813_1_)`
    `boolean` | `canBlockSeeTheSky(int par1, int par2, int par3)`
    `TileEntity` | `func_150806_e(int p_150806_1_, int p_150806_2_, int p_150806_3_)`
    `boolean` | `func_150807_a(int p_150807_1_, int p_150807_2_, int p_150807_3_, Block p_150807_4_, int p_150807_5_)`
    `int` | `func_150808_b(int p_150808_1_, int p_150808_2_, int p_150808_3_)`
    `void` | `func_150812_a(int p_150812_1_, int p_150812_2_, int p_150812_3_, TileEntity p_150812_4_)`
    `void` | `generateHeightMap()`
    `void` | `generateSkylightMap()`
    `boolean` | `getAreLevelsEmpty(int par1, int par2)`
    `Block` | `getBlock(int p_150810_1_, int p_150810_2_, int p_150810_3_)`
    `int` | `getBlockLightValue(int par1, int par2, int par3, int par4)`
    `int` | `getBlockMetadata(int par1, int par2, int par3)`
    `void` | `getEntitiesOfTypeWithinAAAB(java.lang.Class par1Class, AxisAlignedBB par2AxisAlignedBB, java.util.List par3List, IEntitySelector par4IEntitySelector)`
    `void` | `getEntitiesWithinAABBForEntity(Entity par1Entity, AxisAlignedBB par2AxisAlignedBB, java.util.List par3List, IEntitySelector par4IEntitySelector)`
    `int` | `getHeightValue(int par1, int par2)`
    `java.util.Random` | `getRandomWithSeed(long par1)`
    `int` | `getSavedLightValue(EnumSkyBlock par1EnumSkyBlock, int par2, int par3, int par4)`
    `boolean` | `isAtLocation(int par1, int par2)`
    `boolean` | `isEmpty()`
    `boolean` | `needsSaving(boolean par1)`
    `void` | `onChunkLoad()`
    `void` | `onChunkUnload()`
    `void` | `removeEntity(Entity par1Entity)`
    `void` | `removeEntityAtIndex(Entity par1Entity, int par2)`
    `void` | `removeTileEntity(int p_150805_1_, int p_150805_2_, int p_150805_3_)`
    `boolean` | `setBlockMetadata(int par1, int par2, int par3, int par4)`
    `void` | `setChunkModified()`
    `void` | `setLightValue(EnumSkyBlock par1EnumSkyBlock, int par2, int par3, int par4, int par5)`

    - ### Methods inherited from class net.minecraft.world.chunk.Chunk

      `enqueueRelightChecks, fillChunk, func_150802_k, func_150804_b, func_150809_p, getBiomeArray, getBiomeGenForWorldCoords, getBlockStorageArray, getChunkCoordIntPair, getPrecipitationHeight, getTileEntityUnsafe, getTopFilledSegment, populateChunk, removeInvalidTileEntity, resetRelightChecks, setBiomeArray, setStorageArrays`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptyChunk

          public EmptyChunk(World par1World,
                    int par2,
                    int par3)

  - ### Method Detail

    - #### isAtLocation

          public boolean isAtLocation(int par1,
                             int par2)

      Overrides:
        `isAtLocation` in class `Chunk`

    - #### getHeightValue

          public int getHeightValue(int par1,
                           int par2)

      Overrides:
        `getHeightValue` in class `Chunk`

    - #### generateSkylightMap

          public void generateSkylightMap()

      Overrides:
        `generateSkylightMap` in class `Chunk`

    - #### generateHeightMap

          public void generateHeightMap()

      Overrides:
        `generateHeightMap` in class `Chunk`

    - #### getBlock

          public Block getBlock(int p_150810_1_,
                       int p_150810_2_,
                       int p_150810_3_)

      Overrides:
        `getBlock` in class `Chunk`

    - #### func_150808_b

          public int func_150808_b(int p_150808_1_,
                          int p_150808_2_,
                          int p_150808_3_)

      Overrides:
        `func_150808_b` in class `Chunk`

    - #### func_150807_a

          public boolean func_150807_a(int p_150807_1_,
                              int p_150807_2_,
                              int p_150807_3_,
                              Block p_150807_4_,
                              int p_150807_5_)

      Overrides:
        `func_150807_a` in class `Chunk`

    - #### getBlockMetadata

          public int getBlockMetadata(int par1,
                             int par2,
                             int par3)

      Overrides:
        `getBlockMetadata` in class `Chunk`

    - #### setBlockMetadata

          public boolean setBlockMetadata(int par1,
                                 int par2,
                                 int par3,
                                 int par4)

      Overrides:
        `setBlockMetadata` in class `Chunk`

    - #### getSavedLightValue

          public int getSavedLightValue(EnumSkyBlock par1EnumSkyBlock,
                               int par2,
                               int par3,
                               int par4)

      Overrides:
        `getSavedLightValue` in class `Chunk`

    - #### setLightValue

          public void setLightValue(EnumSkyBlock par1EnumSkyBlock,
                           int par2,
                           int par3,
                           int par4,
                           int par5)

      Overrides:
        `setLightValue` in class `Chunk`

    - #### getBlockLightValue

          public int getBlockLightValue(int par1,
                               int par2,
                               int par3,
                               int par4)

      Overrides:
        `getBlockLightValue` in class `Chunk`

    - #### addEntity

          public void addEntity(Entity par1Entity)

      Overrides:
        `addEntity` in class `Chunk`

    - #### removeEntity

          public void removeEntity(Entity par1Entity)

      Overrides:
        `removeEntity` in class `Chunk`

    - #### removeEntityAtIndex

          public void removeEntityAtIndex(Entity par1Entity,
                                 int par2)

      Overrides:
        `removeEntityAtIndex` in class `Chunk`

    - #### canBlockSeeTheSky

          public boolean canBlockSeeTheSky(int par1,
                                  int par2,
                                  int par3)

      Overrides:
        `canBlockSeeTheSky` in class `Chunk`

    - #### func_150806_e

          public TileEntity func_150806_e(int p_150806_1_,
                                 int p_150806_2_,
                                 int p_150806_3_)

      Overrides:
        `func_150806_e` in class `Chunk`

    - #### addTileEntity

          public void addTileEntity(TileEntity p_150813_1_)

      Overrides:
        `addTileEntity` in class `Chunk`

    - #### func_150812_a

          public void func_150812_a(int p_150812_1_,
                           int p_150812_2_,
                           int p_150812_3_,
                           TileEntity p_150812_4_)

      Overrides:
        `func_150812_a` in class `Chunk`

    - #### removeTileEntity

          public void removeTileEntity(int p_150805_1_,
                              int p_150805_2_,
                              int p_150805_3_)

      Overrides:
        `removeTileEntity` in class `Chunk`

    - #### onChunkLoad

          public void onChunkLoad()

      Overrides:
        `onChunkLoad` in class `Chunk`

    - #### onChunkUnload

          public void onChunkUnload()

      Overrides:
        `onChunkUnload` in class `Chunk`

    - #### setChunkModified

          public void setChunkModified()

      Overrides:
        `setChunkModified` in class `Chunk`

    - #### getEntitiesWithinAABBForEntity

          public void getEntitiesWithinAABBForEntity(Entity par1Entity,
                                            AxisAlignedBB par2AxisAlignedBB,
                                            java.util.List par3List,
                                            IEntitySelector par4IEntitySelector)

      Overrides:
        `getEntitiesWithinAABBForEntity` in class `Chunk`

    - #### getEntitiesOfTypeWithinAAAB

          public void getEntitiesOfTypeWithinAAAB(java.lang.Class par1Class,
                                         AxisAlignedBB par2AxisAlignedBB,
                                         java.util.List par3List,
                                         IEntitySelector par4IEntitySelector)

      Overrides:
        `getEntitiesOfTypeWithinAAAB` in class `Chunk`

    - #### needsSaving

          public boolean needsSaving(boolean par1)

      Overrides:
        `needsSaving` in class `Chunk`

    - #### getRandomWithSeed

          public java.util.Random getRandomWithSeed(long par1)

      Overrides:
        `getRandomWithSeed` in class `Chunk`

    - #### isEmpty

          public boolean isEmpty()

      Overrides:
        `isEmpty` in class `Chunk`

    - #### getAreLevelsEmpty

          public boolean getAreLevelsEmpty(int par1,
                                  int par2)

      Overrides:
        `getAreLevelsEmpty` in class `Chunk`